org.apache.lucene.store.instantiated

## Class InstantiatedTermEnum

- java.lang.Object
- - org.apache.lucene.index.TermEnum
  - - org.apache.lucene.store.instantiated.InstantiatedTermEnum

-     public class InstantiatedTermEnum
      extends org.apache.lucene.index.TermEnum

  A `TermEnum` navigating an `InstantiatedIndexReader`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstantiatedTermEnum(InstantiatedIndexReader reader)`
    `InstantiatedTermEnum(InstantiatedIndexReader reader, int startPosition)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the enumeration to further activity, freeing resources.
    `int` | `docFreq()` Returns the docFreq of the current Term in the enumeration.
    `boolean` | `next()` Increments the enumeration to the next element.
    `boolean` | `skipTo(org.apache.lucene.index.Term target)`
    `org.apache.lucene.index.Term` | `term()` Returns the current Term in the enumeration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InstantiatedTermEnum

          public InstantiatedTermEnum(InstantiatedIndexReader reader)

    - #### InstantiatedTermEnum

          public InstantiatedTermEnum(InstantiatedIndexReader reader,
                                      int startPosition)

  - ### Method Detail

    - #### next

          public boolean next()

      Increments the enumeration to the next element. True if one exists.
      Specified by:
        `next` in class `org.apache.lucene.index.TermEnum`

    - #### term

          public org.apache.lucene.index.Term term()

      Returns the current Term in the enumeration.
      Specified by:
        `term` in class `org.apache.lucene.index.TermEnum`

    - #### docFreq

          public int docFreq()

      Returns the docFreq of the current Term in the enumeration.
      Specified by:
        `docFreq` in class `org.apache.lucene.index.TermEnum`

    - #### close

          public void close()

      Closes the enumeration to further activity, freeing resources.
      Specified by:
        `close` in class `org.apache.lucene.index.TermEnum`

    - #### skipTo

          public boolean skipTo(org.apache.lucene.index.Term target)
                         throws java.io.IOException

      Overrides:
        `skipTo` in class `org.apache.lucene.index.TermEnum`
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.